<?php
include('../includes/validador.php');
include('../conexiones/conex.php');
include('../includes/funciones.php');

$proceso = $_POST['proceso'];

if(isset($_POST['int_alumno_persona_notexist'])){
    $intalum = $_POST['int_alumno_persona_notexist'];
}elseif(isset($_POST['int_alumno_persona_exist'])){
    $intalum = $_POST['int_alumno_persona_exist'];
}



$fecha_nac = fechaNormal($_POST['fecha_nac']);
$sang = $_POST['grupo_sang'];
$obs_alum = $_POST['obs_alumno'];
$email = $_POST['email'];
$nomPadre = $_POST['nom_padre'];
$telPadre = $_POST['tel_padre'];
$nomMadre = $_POST['nom_madre'];
$telMadre = $_POST['tel_madre'];
$nomEnc = $_POST['nom_encargado'];
$telEnc = $_POST['tel_encargado'];
$comEnc = $_POST['coment_encarg'];
$l_baja = $_POST['linea_baja'];
$nomRef = $_POST['nom_ref'];
$telRef = $_POST['tel_ref'];
$domRef = $_POST['domicilio_ref'];
$curso = $_POST['curso_int'];
$mat = $_POST['idmat'];

//FOTO CARNET
$archivo = $_FILES['portada']["name"];
$ruta_provisional = $_FILES["portada"]["tmp_name"];
if($archivo == null){
	$extension = '';
    $archivo = "";
}else{
    $info = pathinfo($archivo);
    $extension = $info['extension'];

    $archivo = tipoArchivo($archivo, $extension);
}

if(isset($_POST['fp_cedula_alum'])){
    $ci_alumno = $_POST['fp_cedula_alum'];
}else{
    $ci_alumno = 'no';
}

if(isset($_POST['fp_cedula_pme'])){
    $fp_cedula_pme = $_POST['fp_cedula_pme'];
}else{
    $fp_cedula_pme = 'no';
}

if(isset($_POST['cert_nac'])){
    $cert_nac = $_POST['cert_nac'];
}else{
    $cert_nac = 'no';
}

if(isset($_POST['fp_cert_nac'])){
    $fp_cert_nac = $_POST['fp_cert_nac'];
}else{
    $fp_cert_nac = 'no';
}

if(isset($_POST['libreta_calif'])){
    $libreta_calif = $_POST['libreta_calif'];
}else{
    $libreta_calif = 'no';
}

if(isset($_POST['libreta_vacunacion'])){
    $libreta_vacunacion = $_POST['libreta_vacunacion'];
}else{
    $libreta_vacunacion = 'no';
}

if(isset($_POST['ant_academico'])){
    $ant_academico = $_POST['ant_academico'];
}else{
    $ant_academico = 'no';
}

if(isset($_POST['inf_administrativo'])){
    $inf_administrativo = $_POST['inf_administrativo'];
}else{
    $inf_administrativo = 'no';
}

//======================================================================================== por el mommento eliminamos desde aquí
            /*

            //FOTOCOPIA DE CEDULA DE ALUMNO
            $ci_alumno = $_FILES['fp_cedula_alum']["name"];
            $ruta_provisional_alum = $_FILES["fp_cedula_alum"]["tmp_name"];
            if($ci_alumno == null){
                $extension = '';
                $ci_alumno = "";
            }else{
                $info = pathinfo($ci_alumno);
                $extension = $info['extension'];
                
                $ci_alumno = tipoArchivo($ci_alumno, $extension);
            }

            //FOTOCOPIA DE CEDULA DE PADRE MADRE O ENCARGADO
            $fp_cedula_pme = $_FILES['fp_cedula_pme']["name"];
            $ruta_provisional_pme = $_FILES["fp_cedula_pme"]["tmp_name"];
            if($fp_cedula_pme == null){
                $extension = '';
                $fp_cedula_pme = "";
            }else{
                $info = pathinfo($fp_cedula_pme);
                $extension = $info['extension'];
                
                $fp_cedula_pme = tipoArchivo($fp_cedula_pme, $extension);
            }

            //CERTIFICADO DE NACIMIENTO
            $cert_nac = $_FILES['cert_nac']["name"];
            $ruta_provisional_cert = $_FILES["cert_nac"]["tmp_name"];
            if($cert_nac == null){
                $extension = '';
                $cert_nac = "";
            }else{
                $info = pathinfo($cert_nac);
                $extension = $info['extension'];
                
                $cert_nac = tipoArchivo($cert_nac, $extension);
            }

            //FOTOCOPIA CERTIFICADO DE NACIMIENTO
            $fp_cert_nac = $_FILES['fp_cert_nac']["name"];
            $ruta_provisional_cert2 = $_FILES["fp_cert_nac"]["tmp_name"];
            if($fp_cert_nac == null){
                $extension = '';
                $fp_cert_nac = "";
            }else{
                $info = pathinfo($fp_cert_nac);
                $extension = $info['extension'];
                
                $fp_cert_nac = tipoArchivo($fp_cert_nac, $extension);
            }

            //LIBRETA DE CALIFICACIONES
            $libreta_calif = $_FILES['libreta_calif']["name"];
            $ruta_provisional_libr = $_FILES["libreta_calif"]["tmp_name"];
            if($libreta_calif == null){
                $extension = '';
                $libreta_calif = "";
            }else{
                $info = pathinfo($libreta_calif);
                $extension = $info['extension'];
                
                $libreta_calif = tipoArchivo($libreta_calif, $extension);
            }

            //LIBRETA DE VACUNACION
            $libreta_vacunacion = $_FILES['libreta_vacunacion']["name"];
            $ruta_provisional_vac = $_FILES["libreta_vacunacion"]["tmp_name"];
            if($libreta_vacunacion == null){
                $extension = '';
                $libreta_vacunacion = "";
            }else{
                $info = pathinfo($libreta_vacunacion);
                $extension = $info['extension'];
                
                $libreta_vacunacion = tipoArchivo($libreta_vacunacion, $extension);
            }

            //ANTECEDENTE ACADEMICO
            $ant_academico = $_FILES['ant_academico']["name"];
            $ruta_provisional_ant = $_FILES["ant_academico"]["tmp_name"];
            if($ant_academico == null){
                $extension = '';
                $ant_academico = "";
            }else{
                $info = pathinfo($ant_academico);
                $extension = $info['extension'];
                
                $ant_academico = tipoArchivo($ant_academico, $extension);
            }

            //INFORME ADMINISTRATIVO
            $inf_administrativo = $_FILES['inf_administrativo']["name"];
            $ruta_provisional_inf = $_FILES["inf_administrativo"]["tmp_name"];
            if($inf_administrativo == null){
                $extension = '';
                $inf_administrativo = "";
            }else{
                $info = pathinfo($inf_administrativo);
                $extension = $info['extension'];
                
                $inf_administrativo = tipoArchivo($inf_administrativo, $extension);
            }
            */

//==================================================================================== Por el momento eliminamos hasta aquí

//VERIFICAMOS EL PROCESO

switch($proceso){
	case 'Registro':
        
        try {
            $con->autocommit(FALSE);
            $queryAlum="INSERT INTO alumno (Persona_id, FechaNacimiento, portada_alumno, mailAlumno, TipoSanguineo, Observacion, nombrePadre, telefonoPadre, nombreMadre, telefonoMadre, nombreEncargado, telefonoEncargado, comentarioEncargado, lineaBaja, nombreReferencia, telefonoReferencia, domicilioReferencia, fotocopia_cedula, fotocopia_padres_encargado, certificado_nacimiento, fotocopia_certi_nac, boletin_calificaciones_informes, libreta_vacunacion, antecedente_academico_visado, informe_adm_institucion_origen)
            VALUES(
                '$intalum', 
                '$fecha_nac', 
                '$archivo', 
                '$email', 
                '$sang', 
                '$obs_alum', 
                '$nomPadre', 
                '$telPadre', 
                '$nomMadre', 
                '$telMadre',
                '$nomEnc', 
                '$telEnc', 
                '$comEnc', 
                '$l_baja', 
                '$nomRef', 
                '$telRef', 
                '$domRef', 
                '$ci_alumno',
                '$fp_cedula_pme', 
                '$cert_nac', 
                '$fp_cert_nac', 
                '$libreta_calif', 
                '$libreta_vacunacion', 
                '$ant_academico', 
                '$inf_administrativo'
                )";
            $con->query($queryAlum) or throw_ex(mysqli_error($con)); //si re registró bien
            move_uploaded_file($ruta_provisional, '../images/alumnos/'.$archivo);

            /*
            =========== POR EL MOMENTO NO USAMOS ESTA FUNCION
                move_uploaded_file($ruta_provisional_alum, '../images/documentos/'.$ci_alumno);
                move_uploaded_file($ruta_provisional_ant, '../images/documentos/'.$ant_academico);
                move_uploaded_file($ruta_provisional_cert, '../images/documentos/'.$cert_nac);
                move_uploaded_file($ruta_provisional_cert2, '../images/documentos/'.$fp_cert_nac);
                move_uploaded_file($ruta_provisional_inf, '../images/documentos/'.$inf_administrativo);
                move_uploaded_file($ruta_provisional_libr, '../images/documentos/'.$libreta_calif);
                move_uploaded_file($ruta_provisional_pme, '../images/documentos/'.$fp_cedula_pme);
                move_uploaded_file($ruta_provisional_vac, '../images/documentos/'.$libreta_vacunacion);
            */

            $con->commit();
            $con->close();
            echo 1;
        } catch (Exception $e) {  
            $con->rollback();
            echo 2;
            $con->close(); 
        }
	break;
	
	case 'Edicion':
        $id = $_POST['idalumno'];
        $fecha_mat = fechaNormal($_POST['fecha_mat']);
        $idmat = $_POST['idmat'];
        
        //carnet
        $eliminar = $_POST['imagen2'];

        if(isset($archivo)&&($archivo!=""))	{
            
            $nuevaimagen = $archivo;

            if(file_exists('../images/alumnos/'.$eliminar)){
                unlink('../images/alumnos/'.$eliminar);
            }			
		} else {
			$nuevaimagen = $_POST["imagen2"];
        }
        
        if(isset($_POST['fp_cedula_alum'])){
            if($_POST['fp_cedula_alum'] == 'si'){
                $nueva_cedula_fp = $_POST['fp_cedula_alum'];
            }else{
                $nueva_cedula_fp = 'no';
            }
        }else{
            $nueva_cedula_fp = 'no';
        }

        if(isset($_POST['fp_cedula_pme'])){
            if($_POST['fp_cedula_pme'] == 'si'){
                $nuevo_fp_cedula_pme = $_POST['fp_cedula_pme'];
            }else{
                $nuevo_fp_cedula_pme = 'no';
            }
        }else{
            $nuevo_fp_cedula_pme = 'no';
        }

        if(isset($_POST['cert_nac'])){
            if($_POST['cert_nac'] == 'si'){
                $nuevo_cert_nac = $_POST['cert_nac'];
            }else{
                $nuevo_cert_nac = 'no';
            }
        }else{
            $nuevo_cert_nac = 'no';
        }

        if(isset($_POST['fp_cert_nac'])){
            if($_POST['fp_cert_nac'] == 'si'){
                $nuevo_fp_cert_nac = $_POST['fp_cert_nac'];
            }else{
                $nuevo_fp_cert_nac = 'no';
            }
        }else{
            $nuevo_fp_cert_nac = 'no';
        }

        if(isset($_POST['libreta_calif'])){
            if($_POST['libreta_calif'] == 'si'){
                $nuevo_libreta_calif = $_POST['libreta_calif'];
            }else{
                $nuevo_libreta_calif = 'no';
            }
        }else{
            $nuevo_libreta_calif = 'no';
        }

        if(isset($_POST['libreta_vacunacion'])){
            if($_POST['libreta_vacunacion'] == 'si'){
                $nuevo_libreta_vacunacion = $_POST['libreta_vacunacion'];
            }else{
                $nuevo_libreta_vacunacion = 'no';
            }
        }else{
            $nuevo_libreta_vacunacion = 'no';
        }

        if(isset($_POST['ant_academico'])){
            if($_POST['ant_academico'] == 'si'){
                $nuevo_ant_academico = $_POST['ant_academico'];
            }else{
                $nuevo_ant_academico = 'no';
            }
        }else{
            $nuevo_ant_academico = 'no';
        }

        if(isset($_POST['inf_administrativo'])){
            if($_POST['inf_administrativo'] == 'si'){
                $nuevo_inf_administrativo = $_POST['inf_administrativo'];
            }else{
                $nuevo_inf_administrativo = 'no';
            }
        }else{
            $nuevo_inf_administrativo = 'no';
        }

        //======================================================================================== por el mommento eliminamos desde aquí
        /*
        //cedula
        $eliminar_ci_alumno = $_POST['fp_cedula2'];

        if(isset($ci_alumno)&&($ci_alumno!=""))	{
            
            $nueva_cedula_fp = $ci_alumno;

            if(file_exists('../images/documentos/'.$eliminar_ci_alumno)){
                unlink('../images/documentos/'.$eliminar_ci_alumno);
            }			
		} else {
			$nueva_cedula_fp = $_POST["fp_cedula2"];
        }
        
        //fp_cedula_pme
        $eliminar_fp_cedula_pme = $_POST['fp_cedula_pme2'];

        if(isset($fp_cedula_pme)&&($fp_cedula_pme!=""))	{
            
            $nuevo_fp_cedula_pme = $fp_cedula_pme;
                 
            if(file_exists('../images/documentos/'.$eliminar_fp_cedula_pme)){
                unlink('../images/documentos/'.$eliminar_fp_cedula_pme);
            }			
		} else {
			$nuevo_fp_cedula_pme = $_POST["fp_cedula_pme2"];
        }
        
        //cert_nac
        $eliminar_cert_nac = $_POST['cert_nac2'];

        if(isset($cert_nac)&&($cert_nac!=""))	{
            
            $nuevo_cert_nac = $cert_nac;

            if(file_exists('../images/documentos/'.$eliminar_cert_nac)){
                unlink('../images/documentos/'.$eliminar_cert_nac);
            }			
		} else {
			$nuevo_cert_nac = $_POST["cert_nac2"];
        }
        
        //fotocopia de certificado de nacimiento
        $eliminar_fp_cert_nac = $_POST['fp_cert_nac2'];

        if(isset($fp_cert_nac)&&($fp_cert_nac!=""))	{
            
            $nuevo_fp_cert_nac = $fp_cert_nac;             

            if(file_exists('../images/documentos/'.$eliminar_fp_cert_nac)){
                unlink('../images/documentos/'.$eliminar_fp_cert_nac);
            }			
		} else {
			$nuevo_fp_cert_nac = $_POST["cert_nac2"];
        }
        
        //bletin de calificaciones
        $eliminar_libreta_calif = $_POST['libreta_calif2'];

        if(isset($libreta_calif)&&($libreta_calif!=""))	{
            
            $nuevo_libreta_calif = $libreta_calif;          
            if(file_exists('../images/documentos/'.$eliminar_libreta_calif)){
                unlink('../images/documentos/'.$eliminar_libreta_calif);
            }			
		} else {
			$nuevo_libreta_calif = $_POST["libreta_calif2"];
        }
        
        //libreta de vacunaciones
        $eliminar_libreta_vacunacion = $_POST['libr_vac2'];

        if(isset($libreta_vacunacion)&&($libreta_vacunacion!=""))	{
            
            $nuevo_libreta_vacunacion = $libreta_vacunacion;             
            if(file_exists('../images/documentos/'.$eliminar_libreta_vacunacion)){
                unlink('../images/documentos/'.$eliminar_libreta_vacunacion);
            }			
		} else {
			$nuevo_libreta_vacunacion = $_POST["libr_vac2"];
        }
        
        //antecedente academico
        $eliminar_ant_academico = $_POST['ant_academico2'];

        if(isset($ant_academico)&&($ant_academico!=""))	{
            
            $nuevo_ant_academico = $ant_academico;              
            if(file_exists('../images/documentos/'.$eliminar_ant_academico)){
                unlink('../images/documentos/'.$eliminar_ant_academico);
            }			
		} else {
			$nuevo_ant_academico = $_POST["ant_academico2"];
        }
        
        //informe administrativo
        $eliminar_inf_administrativo = $_POST['inf_administrativo2'];

        if(isset($inf_administrativo)&&($inf_administrativo!=""))	{
            
            $nuevo_inf_administrativo = $inf_administrativo;                
            if(file_exists('../images/documentos/'.$eliminar_inf_administrativo)){
                unlink('../images/documentos/'.$eliminar_inf_administrativo);
            }			
		} else {
			$nuevo_inf_administrativo = $_POST["inf_administrativo2"];
        }
        */
        
        //==================================================================================== Por el momento eliminamos hasta aquí

        try {
            $con->autocommit(FALSE);
        
            $queryEdiAlum="UPDATE alumno SET 
            Persona_id = '$id', 
            FechaNacimiento = '$fecha_nac', 
            mailAlumno = '$email', 
            portada_alumno = '$nuevaimagen', 
            TipoSanguineo = '$sang', 
            Observacion = '$obs_alum', 
            nombrePadre = '$nomPadre',  
            telefonoPadre = '$telPadre', 
            nombreMadre = '$nomMadre', 
            telefonoMadre = '$telMadre', 
            nombreEncargado = '$nomEnc', 
            telefonoEncargado = '$telEnc', 
            comentarioEncargado = '$comEnc', 
            lineaBaja = '$l_baja', 
            nombreReferencia = '$nomRef', 
            telefonoReferencia = '$telRef', 
            domicilioReferencia = '$domRef', 
            fotocopia_cedula = '$nueva_cedula_fp', 
            fotocopia_padres_encargado = '$nuevo_fp_cedula_pme', 
            certificado_nacimiento = '$nuevo_cert_nac', 
            fotocopia_certi_nac = '$nuevo_fp_cert_nac', 
            boletin_calificaciones_informes = '$nuevo_libreta_calif', 
            libreta_vacunacion = '$nuevo_libreta_vacunacion', 
            antecedente_academico_visado = '$nuevo_ant_academico', 
            informe_adm_institucion_origen = '$nuevo_inf_administrativo' 
            WHERE Persona_id = '$id'";

            $queryEdiMat = "UPDATE pagos_matriculas SET fecha_matricula = '$fecha_mat' WHERE matricula_INT = '$idmat'";

            $queryEdiCurs = "UPDATE matricula SET Curso_id = '$curso' WHERE matricula_id = '$idmat'";



            $con->query($queryEdiCurs) or throw_ex(mysqli_error($con)); //si re registró bien
            $con->query($queryEdiMat) or throw_ex(mysqli_error($con)); //si re registró bien
            $con->query($queryEdiAlum) or throw_ex(mysqli_error($con)); //si re registró bien
            move_uploaded_file($ruta_provisional, '../images/alumnos/'.$nuevaimagen);

            /*
            move_uploaded_file($ruta_provisional_alum, '../images/documentos/'.$nueva_cedula_fp);
            move_uploaded_file($ruta_provisional_ant, '../images/documentos/'.$nuevo_ant_academico);
            move_uploaded_file($ruta_provisional_cert, '../images/documentos/'.$nuevo_cert_nac);
            move_uploaded_file($ruta_provisional_cert2, '../images/documentos/'.$nuevo_fp_cert_nac);
            move_uploaded_file($ruta_provisional_inf, '../images/documentos/'.$nuevo_inf_administrativo);
            move_uploaded_file($ruta_provisional_libr, '../images/documentos/'.$nuevo_libreta_calif);
            move_uploaded_file($ruta_provisional_pme, '../images/documentos/'.$nuevo_fp_cedula_pme);
            move_uploaded_file($ruta_provisional_vac, '../images/documentos/'.$nuevo_libreta_vacunacion);
            */
            
            $con->commit();
            echo 1;
            $con->close();
        } catch (Exception $e) {  
            $con->rollback();
            echo 2;
            $con->close(); 
        }
	break;
}

?>